API DocumentationManufacturer production step controller

Find nesting placements across production groups

GET
/api/manufacturer/v1/production-step/nesting-placements

Retrieves nesting placements across production groups, filtered by work order or requisition. Provide exactly one filter.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Query Parameters

workOrderId?string

Filter by work order ID

requisitionId?integer

Filter by requisition ID

Response Body

application/json

application/json

curl -X GET "https://example.com/api/manufacturer/v1/production-step/nesting-placements"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "productionStepId": "73856faf-b3e2-4f2c-a6a9-45d0d91ce004",    "workOrderId": "50150040-5a5c-4c26-9d75-30728d69a42e",    "requisitionId": 0,    "manifestId": "d9e221c5-ff18-4314-8e4b-8ff5f968a62f",    "transform": [      0.1    ],    "unit": "string",    "normalizedToStl": true,    "sequence": 0,    "createdAt": "2019-08-24T14:15:22Z"  }]
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}